#super-container
  overflow: hidden
  background: aliceblue
  border-radius: 12px
  text-align: center

  .close-button
        color: #000
        position: absolute
        top: 0
        right: 0
        cursor: pointer
        border-radius: 5px
        transition: transform .7s ease-in-out
        &:hover
          transform: rotate(90deg)
        .mat-error
          text-align: center

  .dialog-container
    width: 200%
    border-radius: 5px
    display: flex
    justify-content: space-evenly
    align-items: stretch
    text-align: left
    transition: 400ms transform

    &.translated
      transform: translateX(-50%)

    .register, .login
      width: 100%
      color: #000
      margin: 15px 
      form 
        width: 100%
        .fields
          display: flex
          flex-direction: column
          justify-content: center
      

    .vertical-separator
      width: 3px
      height: 30vh
      background-color: #000
      border-radius: 2px
      align-self: center

    .mat-dialog-actions
      margin-bottom: 0
  

  /* EFFETS HOVER BUTTON */
  .effect-button
    background-color: black
    color: white
    font-weight: bold
    font-size: 2.5vh
    border-radius: 20px
    padding: 5px 15px
    border: none
    overflow: hidden
    text-decoration: none
    cursor: pointer
    transition: .3s ease-in-out
    transition-delay: .35s
    text-align: center
    position: relative
    will-change: transform
    margin: 0.2rem
    &.fb
      background-color: blue

    &.gl
      background-color: orangered
    
      

  .button-text
      color: white
      position: relative
      top: 0
      height: 100%
      width: 100%
      display: inline
      height: auto
      transition: .25s ease-in
      transition-delay: .1s
      margin: auto

  .effect-button:before
      transform: translate(-120%,-50%) translateZ(0)
      content: ''
      display: block
      background: white
      position: absolute
      width: 200%
      height: 500%
      border-radius: 100%
      transition: .36s cubic-bezier(0.4, 0.0, 1, 1)

      
  .effect-button:hover:not(:disabled)
    background-color: white
    .button-text
      color: black
    &:before
      transform: translate(-45%,-34%) translateZ(0)
      
  .effect-button:disabled
    opacity: 0.5
    cursor: unset

  [mat-mini-fab]
    transition: 500ms transform
    margin-bottom: 1em
    &.translated
      transform: rotate(180deg)